{% extends 'base.html.twig' %}

{% block content %}

    <div class="uk-flex uk-flex-center">
        <div class="uk-card uk-card-default uk-width-1-2@m">
            <div class="uk-card-header">
                <div class="uk-grid-small uk-flex-middle" uk-grid>
                    <div class="uk-width-expand">
                        <h3 class="uk-card-title uk-margin-remove-bottom">{{ zone.name }} ({{ zone.id }})</h3>
                        <p class="uk-text-meta uk-margin-remove-top">{{ 'zone.nbdomains' | trans({'%nbdomains%': zone.nbdomains}) }}</p>
                    </div>
                </div>
            </div>
            <div class="uk-card-body">
                <ul class="uk-list uk-list-divider">
                {% for version in zone.versions %}
                    <li>
                        <a href="{{ path('view-version', {'version': version, 'zone': zone.id}) }}">Version {{ version }} {% if version == zone.currentVersion %}<span class="uk-badge uk-float-right">{{ 'zone.version.current' | trans }}</span>{% else %}<a href="{{ path('set-zone-version', {'zone': zone.id, 'version': version}) }}" class="uk-float-right uk-button uk-button-danger">{{ 'zone.version.set_as_default' | trans }}</a>{% endif %}</a>
                    </li>
                {% endfor %}
                </ul>
            </div>
            <div class="uk-card-footer">
                <a class="uk-button uk-button-default" href="{{ path('create-version', {'zone': zone.id}) }}">{{ 'zone.version.new' | trans }}</a>
            </div>
        </div>
    </div>
{% endblock %}
